#ifndef i_bufH
#define i_bufH

using namespace std;

class I_buffer {
    I_buffer *one;
    I_buffer *zero;
    I_buffer *dc;

public:
    I_buffer(I_buffer *o, I_buffer *z, I_buffer *d){ one = o; zero = z; dc = d;};
    ~I_buffer(){ delete one; delete zero; delete dc; };
    void insert_node(char);
    void reorder_tree(void);
};

#endif
